Debian Bug report logs - #327309
Please support wpasupplicant in netcfg

version graph

Package: netcfg; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg.

Reported by: dstoddar@gmail.com

Date: Fri, 9 Sep 2005 05:33:03 UTC

Severity: wishlist

Tags: patch

Merged with 550744, 626067

Fixed in version netcfg/1.66

Done: Gaudenz Steinlin <gaudenz@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#327299; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to dstoddar@gmail.com:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: dstoddar <dstoddar@gmail.com>
To: submit@bugs.debian.org
Subject: installation report
Date: Thu, 8 Sep 2005 22:27:42 -0700
Package: installation-reports

Debian-installer-version: 06-Sep-2005 from
http://cdimage.debian.org/pub/cdimage-testing/daily/i386/
uname -a: Linux hostname 2.6.8-2-386 #1 Thu May 19 17:40:50 JST 2005
i686 GNU/Linux
Date: 08-Sep-2005
Method: used the debian-installer cd for "testing"

Machine: assembled from parts, uses an Abit AN7 for the main board
Processor: AMD Athlon 3000+ barton core at 333MHz FSB
Memory: 1.5 GB ddr 400 running at 333
Root Device: 60 GB Maxtor IDE drive
Root Size/partition table: hda1:NTFS hda2:ext3(1st debian install)
hda4:ext3(this install) hda5:swap hda6:NTFS

Output of lspci and lspci -n:
0000:00:00.0 Host bridge: nVidia Corporation nForce2 AGP (different
version?) (rev c1)
0000:00:00.1 RAM memory: nVidia Corporation nForce2 Memory Controller 1 (rev c1)
0000:00:00.2 RAM memory: nVidia Corporation nForce2 Memory Controller 4 (rev c1)
0000:00:00.3 RAM memory: nVidia Corporation nForce2 Memory Controller 3 (rev c1)
0000:00:00.4 RAM memory: nVidia Corporation nForce2 Memory Controller 2 (rev c1)
0000:00:00.5 RAM memory: nVidia Corporation nForce2 Memory Controller 5 (rev c1)
0000:00:01.0 ISA bridge: nVidia Corporation nForce2 ISA Bridge (rev a4)
0000:00:01.1 SMBus: nVidia Corporation nForce2 SMBus (MCP) (rev a2)
0000:00:02.0 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
0000:00:02.1 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
0000:00:02.2 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
0000:00:04.0 Ethernet controller: nVidia Corporation nForce2 Ethernet
Controller (rev a1)
0000:00:05.0 Multimedia audio controller: nVidia Corporation nForce
Audio Processing Unit (rev a2)
0000:00:06.0 Multimedia audio controller: nVidia Corporation nForce2
AC97 Audio Controler (MCP) (rev a1)
0000:00:08.0 PCI bridge: nVidia Corporation nForce2 External PCI Bridge (rev a3)
0000:00:09.0 IDE interface: nVidia Corporation nForce2 IDE (rev a2)
0000:00:0d.0 FireWire (IEEE 1394): nVidia Corporation nForce2 FireWire
(IEEE 1394) Controller (rev a3)
0000:00:1e.0 PCI bridge: nVidia Corporation nForce2 AGP (rev c1)
0000:01:07.0 USB Controller: NEC Corporation USB (rev 41)
0000:01:07.1 USB Controller: NEC Corporation USB (rev 41)
0000:01:07.2 USB Controller: NEC Corporation USB 2.0 (rev 02)
0000:01:08.0 Ethernet controller: Atheros Communications, Inc.:
Unknown device 001a (rev 01)
0000:01:0b.0 RAID bus controller: Silicon Image, Inc. SiI 3112
[SATALink/SATARaid] Serial ATA Controller (rev 02)
0000:02:00.0 VGA compatible controller: ATI Technologies Inc RV350 AR
[Radeon 9600]
0000:02:00.1 Display controller: ATI Technologies Inc RV350 AR [Radeon
9600] (Secondary)

0000:00:00.0 0600: 10de:01e0 (rev c1)
0000:00:00.1 0500: 10de:01eb (rev c1)
0000:00:00.2 0500: 10de:01ee (rev c1)
0000:00:00.3 0500: 10de:01ed (rev c1)
0000:00:00.4 0500: 10de:01ec (rev c1)
0000:00:00.5 0500: 10de:01ef (rev c1)
0000:00:01.0 0601: 10de:0060 (rev a4)
0000:00:01.1 0c05: 10de:0064 (rev a2)
0000:00:02.0 0c03: 10de:0067 (rev a4)
0000:00:02.1 0c03: 10de:0067 (rev a4)
0000:00:02.2 0c03: 10de:0068 (rev a4)
0000:00:04.0 0200: 10de:0066 (rev a1)
0000:00:05.0 0401: 10de:006b (rev a2)
0000:00:06.0 0401: 10de:006a (rev a1)
0000:00:08.0 0604: 10de:006c (rev a3)
0000:00:09.0 0101: 10de:0065 (rev a2)
0000:00:0d.0 0c00: 10de:006e (rev a3)
0000:00:1e.0 0604: 10de:01e8 (rev c1)
0000:01:07.0 0c03: 1033:0035 (rev 41)
0000:01:07.1 0c03: 1033:0035 (rev 41)
0000:01:07.2 0c03: 1033:00e0 (rev 02)
0000:01:08.0 0200: 168c:001a (rev 01)
0000:01:0b.0 0104: 1095:3112 (rev 02)
0000:02:00.0 0300: 1002:4152
0000:02:00.1 0380: 1002:4172

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot worked:    [ O ]
Configure network HW:   [ E ]
Config network:         [ E ]
Detect CD:              [ O ]
Load installer modules: [ O ]
Detect hard drives:     [ O ]
Partition hard drives:  [ ]
Create file systems:    [ O ]
Mount partitions:       [ O ]
Install base system:    [ O ]
Install boot loader:    [ ]
Reboot:                 [ O ]

Comments/Problems:
The network installation cd lacked ndiswrapper and wpasupplicant.  I
built ndiswrapper using the same kernel the install cd used on my 1st
debian install then copied it and its related files to get wireless
working.  I also copied wpasupplicant so I could use the wireless
network.  Then I was able to use dhclinet to get an ip address and
dselect to install the rest of the system.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#327299; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 327299@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: dstoddar@gmail.com, 327299@bugs.debian.org
Subject: Re: Bug#327299: installation report
Date: Fri, 9 Sep 2005 08:10:21 +0200
severity 327299 wishlist
clone 327299 -1
retitle -1 Please support wpasupplicant in netcfg
retitle 327299 Please include ndiswrapper in D-I
thanks

> Comments/Problems:
> The network installation cd lacked ndiswrapper and wpasupplicant.  I
> built ndiswrapper using the same kernel the install cd used on my 1st
> debian install then copied it and its related files to get wireless
> working.  I also copied wpasupplicant so I could use the wireless
> network.  Then I was able to use dhclinet to get an ip address and
> dselect to install the rest of the system.

I'm not sure that the D-I team really can handle this which would turn
to "Please include ndiswrapper and wpasupplicant in D-I".

While wpasupplicant could be OK (I guess we would need a udeb from the
wpasupplicant package....and something in netcfg to configure this),
ndiswrapper would be more complicated as, for obvious reasons, we
cannot provide the NDIS drivers so supporting ndiswrapper in the
installer would require setting up a way to prompt the user for a disk
(floppy, USB thing, CD) including these NDIS drivers (as far as I
understand ndiswrapper way to work).

Both are certainly complicated stuff, I'm afraid. So unless in the D-I
team wants to pick them up....or someone else wants to implement
this, they're like to remain wishlist stuff for a long time...

But, let's record this anyway....

-- 





Severity set to `wishlist'. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 327299 cloned as bug 327309. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `installation-reports' to `netcfg'. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 327309 550744. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Mon, 12 Oct 2009 17:39:20 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Darren Salt <linux@youmustbejoking.demon.co.uk> to control@bugs.debian.org. (Tue, 22 Dec 2009 15:09:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#327309; Package netcfg. (Mon, 08 Nov 2010 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thomas Goirand (GPLHost)" <thomas@goirand.nospam.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 08 Nov 2010 11:45:03 GMT) Full text and rfc822 format available.

Message #27 received at 327309@bugs.debian.org (full text, mbox):

From: "Thomas Goirand (GPLHost)" <thomas@goirand.nospam.fr>
To: Christian PERRIER <bubulle@debian.org>
Cc: debian-devel@lists.debian.org, Darren Salt <linux@youmustbejoking.demon.co.uk>, 327309@bugs.debian.org
Subject: Re: Debian Installer 6.0 Beta1 release
Date: Mon, 08 Nov 2010 19:29:50 +0800
On 11/01/2010 08:51 PM, Christian PERRIER wrote:
> Quoting Thomas Goirand (zigo@debian.org):
>> On 10/31/2010 03:00 AM, Otavio Salvador wrote:
>>> The Debian Installer team[1] is pleased to announce the first beta
>>> release of the installer for Debian GNU/Linux Squeeze.
>>
>> Great, thanks for the huge work.
>>
>> I was wondering if there will be WPA support in D-I for squeeze, as this
> 
> No. Nobody did the needed tests on the patch proposed in
> http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=22;bug=327309

This patch lacks "wpa.c" (so the Makefile fails with something like "no
rules for building wpa.o"), so it's impossible to test it. I've tried to
search it in a "apt-get source netcfg" and it wasn't there. It's not on
the svn either.

Darren, do you have that file? Anyone?

Thomas




Added blocking bug(s) of 327309: 610931 Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Mon, 24 Jan 2011 04:51:03 GMT) Full text and rfc822 format available.

Forcibly Merged 327309 550744 626067. Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Sun, 08 May 2011 20:39:07 GMT) Full text and rfc822 format available.

Reply sent to Gaudenz Steinlin <gaudenz@debian.org>:
You have taken responsibility. (Sun, 31 Jul 2011 09:21:43 GMT) Full text and rfc822 format available.

Notification sent to dstoddar@gmail.com:
Bug acknowledged by developer. (Sun, 31 Jul 2011 09:21:44 GMT) Full text and rfc822 format available.

Message #36 received at 327309-close@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: 327309-close@bugs.debian.org
Subject: Bug#327309: fixed in netcfg 1.66
Date: Sun, 31 Jul 2011 09:17:32 +0000
Source: netcfg
Source-Version: 1.66

We believe that the bug you reported is fixed in the latest version of
netcfg, which is due to be installed in the Debian FTP archive:

netcfg-static_1.66_amd64.udeb
  to main/n/netcfg/netcfg-static_1.66_amd64.udeb
netcfg_1.66.dsc
  to main/n/netcfg/netcfg_1.66.dsc
netcfg_1.66.tar.gz
  to main/n/netcfg/netcfg_1.66.tar.gz
netcfg_1.66_amd64.udeb
  to main/n/netcfg/netcfg_1.66_amd64.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 327309@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gaudenz Steinlin <gaudenz@debian.org> (supplier of updated netcfg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 31 Jul 2011 11:08:02 +0200
Source: netcfg
Binary: netcfg netcfg-static
Architecture: source amd64
Version: 1.66
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Gaudenz Steinlin <gaudenz@debian.org>
Description: 
 netcfg     - Configure the network (udeb)
 netcfg-static - Configure a static network (udeb)
Closes: 327309
Changes: 
 netcfg (1.66) unstable; urgency=low
 .
   [ Colin Watson ]
   * Strip trailing dots from domain when writing to /etc/hosts
     (LP: #255117).
 .
   [ Gaudenz Steinlin ]
   * Include WPA support.  Thanks to Glen Saberton and Darren Salt
     for the patch. (Closes: #327309)
 .
   [ Updated translations ]
   * Hebrew (he.po) by Lior Kaplan
   * Macedonian (mk.po) by Arangel Angov
   * Sinhala (si.po) by Danishka Navin
Checksums-Sha1: 
 5cfb56226eb4a51eadcb667e27b91cc91539c57f 1350 netcfg_1.66.dsc
 f14740f7827be3543b4c42202b3bea28ef2ec9e3 6290390 netcfg_1.66.tar.gz
 137e92f6062641dc9895a01890948fb303bfd1de 338718 netcfg_1.66_amd64.udeb
 1ca3bc439b3e14f6b5c6e19ec2f9a16cf32ca788 259228 netcfg-static_1.66_amd64.udeb
Checksums-Sha256: 
 b69c18f82b29cce2b194477386c7644b449f983c0c15cc11609482efa89743bb 1350 netcfg_1.66.dsc
 19cf278856d56c8950b8625408106b0bbcf5fbddf829b26a7c6fc7c548d8d3a9 6290390 netcfg_1.66.tar.gz
 485f9c2628a035c334884bb4b705c0b6aaa4a3f41a74fa42aaa058a766f0279d 338718 netcfg_1.66_amd64.udeb
 bb252f1082d3e7d1e66a655cfe1e9ca3645b164ae111e986ee1258abe0564100 259228 netcfg-static_1.66_amd64.udeb
Files: 
 577786dbec08440c50aeb2be2ccfea2e 1350 debian-installer optional netcfg_1.66.dsc
 6b6fc3838b54fa695825b0eeb23a8acd 6290390 debian-installer optional netcfg_1.66.tar.gz
 50f5ac51aa7b6a025161f40cf4b17cdd 338718 debian-installer optional netcfg_1.66_amd64.udeb
 44e07cb97ab3830152f887f80b0780e5 259228 debian-installer optional netcfg-static_1.66_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEVAwUBTjUbl00yN7tZsYcyAQry6Qf/Rq4kykia481+IvXucnFYOTtzfkHp2gkU
vAcFy2WX5lJKKFlHB7r9vyr3uEBExTl/hdZ1CMc+Bbs75/xpYHjCFkLny8Iuly9O
VTe6Ew2t100v6dKsQ40P6s3NAaKyGn4lLkmnfm1adh5M8ruE0UDQ6C8iS9/CxNJV
icSk7OQzU4yIyhwfx/otagRZhtOphHc+4M7BALLpWYmszJExY5/ow7T6LBcVRpR2
mQc+ZmodMfrkSADaHgzEBontxsyLmMSwk/xf5OH4yCO3kuZgQqdUqC/qduJZQQcT
qLU7aGctAQreLS2ce/4vA/ByxBjUTt95rRo/aB9blb9USBCRXi1dWg==
=W4UM
-----END PGP SIGNATURE-----





Reply sent to Gaudenz Steinlin <gaudenz@debian.org>:
You have taken responsibility. (Sun, 31 Jul 2011 09:21:47 GMT) Full text and rfc822 format available.

Notification sent to Marcin Owsiany <porridge@debian.org>:
Bug acknowledged by developer. (Sun, 31 Jul 2011 09:21:50 GMT) Full text and rfc822 format available.

Reply sent to Gaudenz Steinlin <gaudenz@debian.org>:
You have taken responsibility. (Sun, 31 Jul 2011 09:21:55 GMT) Full text and rfc822 format available.

Notification sent to Михаил Гаврилов <mikhail.v.gavrilov@gmail.com>:
Bug acknowledged by developer. (Sun, 31 Jul 2011 09:22:00 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Nov 2011 07:37:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:54:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.